/*
本实验实现的功能：
从SD卡上读取名为display.bmp的文件，并将其显示在SD卡上
*/
#include <SD.h>
#include <LCDTouch.h>
#include <avr/pgmspace.h>

LCDTouch TouchPPP;
File myFile;

//extern unsigned int tux[0x400];

void setup()
{
  int i,j,r,g,b,temp;
  //Serial.begin(9600);
  TouchPPP.LCDUTFT(LCD3_2);	//选择使用3.2inch的LCD
  TouchPPP.Lcd_Init();		//初始化LCD
  TouchPPP.clrScr();		//清屏函数	
  TouchPPP.fillScr(0xffff);	//将屏幕刷为白色
  if (!SD.begin(53)) 	//3.2屏幕选择的SD卡开始引脚
  //if (!SD.begin(10)) 	//2.8,2.4选择的SD卡开始的引脚
  {
    Serial.println("initialization failed!");
    return;
  }
  myFile = SD.open("display.bmp");	//打开SD卡上的display.bmp文件
  if (myFile)
  {
   for(i=0;i<54;i++)
    {
      while(!myFile.available());
      myFile.read();
    } 
    for(i = 0; i< 320;i++)
      for(j=0;j<240;j++)
      {
        while(!myFile.available());
        b = myFile.read();
        while(!myFile.available());
        g = myFile.read();
        while(!myFile.available());
        r = myFile.read();
        
    //temp=(((r&248)|g>>5))<<8 |((g&28)<<3|b>>3);
	//TouchPPP.setPixel(temp);
        TouchPPP.setColor(r,g,b);
        TouchPPP.drawPixel(i,j);
      }
   
    // close the file:
    myFile.close();
  } else {
  	// if the file didn't open, print an error:
    Serial.println("error opening test.txt");
  }
}

void loop()
{

}
